Debian Bug report logs - #728246
ITP: libmoosex-types-stringlike-perl -- Moose type constraints for strings or string-like objects

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Damyan Ivanov <dmn@debian.org>

Date: Tue, 29 Oct 2013 21:15:01 UTC

Owned by: Damyan Ivanov <dmn@debian.org>

Severity: wishlist

Fixed in version libmoosex-types-stringlike-perl/0.001-1

Done: Damyan Ivanov <dmn@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#728246; Package wnpp. (Tue, 29 Oct 2013 21:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Damyan Ivanov <dmn@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org. (Tue, 29 Oct 2013 21:15:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libmoosex-types-stringlike-perl -- Moose type constraints for strings or string-like objects
Date: Tue, 29 Oct 2013 23:10:21 +0200
Package: wnpp
Severity: wishlist
Owner: Damyan Ivanov <dmn@debian.org>

* Package name    : libmoosex-types-stringlike-perl
  Version         : 0.001
  Upstream Author : David Golden <dagolden@cpan.org>
* URL             : https://metacpan.org/release/MooseX-Types-Stringlike
* License         : Apache-2.0
  Programming Lang: Perl
  Description     : Moose type constraints for strings or string-like objects

MooseX::Types::Stringlike provides a more general version of the Str type. If
coercions are enabled, it will accepts objects that overload stringification
and coerces them into strings.

Moose is an extension of the Perl 5 object system.

This module is a dependency of libmoosex-types-path-tiny-perl (ITP#727300) and 
will be maintained by pkg-perl.

Yes, it contains only 17 (seventeen) lines of code (and lots of documentation), 
but bundling it in the modules that depend on it is not something I want to do.



Added indication that bug 728246 blocks 727300 Request was from Damyan Ivanov <dmn@debian.org> to control@bugs.debian.org. (Tue, 29 Oct 2013 22:24:15 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 30 Oct 2013 07:06:11 GMT) Full text and rfc822 format available.

Reply sent to Damyan Ivanov <dmn@debian.org>:
You have taken responsibility. (Sat, 23 Nov 2013 16:03:25 GMT) Full text and rfc822 format available.

Notification sent to Damyan Ivanov <dmn@debian.org>:
Bug acknowledged by developer. (Sat, 23 Nov 2013 16:03:25 GMT) Full text and rfc822 format available.

Message #14 received at 728246-close@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 728246-close@bugs.debian.org
Subject: Bug#728246: fixed in libmoosex-types-stringlike-perl 0.001-1
Date: Sat, 23 Nov 2013 16:00:08 +0000
Source: libmoosex-types-stringlike-perl
Source-Version: 0.001-1

We believe that the bug you reported is fixed in the latest version of
libmoosex-types-stringlike-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 728246@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Damyan Ivanov <dmn@debian.org> (supplier of updated libmoosex-types-stringlike-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 30 Oct 2013 00:00:31 +0200
Source: libmoosex-types-stringlike-perl
Binary: libmoosex-types-stringlike-perl
Architecture: source all
Version: 0.001-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Damyan Ivanov <dmn@debian.org>
Description: 
 libmoosex-types-stringlike-perl - Moose type constraints for strings or string-like objects
Closes: 728246
Changes: 
 libmoosex-types-stringlike-perl (0.001-1) unstable; urgency=low
 .
   * Initial Release. Closes: #728246 (ITP)
Checksums-Sha1: 
 03bef503502a5e47436bd513abc2203f11d92570 2274 libmoosex-types-stringlike-perl_0.001-1.dsc
 555f63bbcc7b9edcb0773225fbcc532813cb9d6e 10357 libmoosex-types-stringlike-perl_0.001.orig.tar.gz
 5f08d694da3834f9466509bb5520e0339632790f 1982 libmoosex-types-stringlike-perl_0.001-1.debian.tar.gz
 c78ac226ecec9e7838812e4da39ba666b2da1b5d 7106 libmoosex-types-stringlike-perl_0.001-1_all.deb
Checksums-Sha256: 
 9531ff0115db52ad9e2ffb2822386158098dc2cf80874acc3056d8b832b6033f 2274 libmoosex-types-stringlike-perl_0.001-1.dsc
 2ba71fff105d851ea6aee85bef5d6629726138a2b005b77a163a8bfb403cea03 10357 libmoosex-types-stringlike-perl_0.001.orig.tar.gz
 0370de533b92d2429ebdbbced966009ce49734af7c0298915b5f5ff034cdb6da 1982 libmoosex-types-stringlike-perl_0.001-1.debian.tar.gz
 631f0e5affac21e3a04a239e5c62c8f5eb8955174859dd772da78a3686036f64 7106 libmoosex-types-stringlike-perl_0.001-1_all.deb
Files: 
 0e917c4af434226f059b1e553d05e90d 2274 perl optional libmoosex-types-stringlike-perl_0.001-1.dsc
 549c3aa11a247e111975ced90810a9ab 10357 perl optional libmoosex-types-stringlike-perl_0.001.orig.tar.gz
 539c09816cc920bc9e6b30def9ba796a 1982 perl optional libmoosex-types-stringlike-perl_0.001-1.debian.tar.gz
 da4352181b546bfaf04a737194b73af2 7106 perl optional libmoosex-types-stringlike-perl_0.001-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJScDBAAAoJENu+nU2Z0qAEBt8P/i0qY0BRrLqyAwcs4Wke8YRy
fvTr2DmmriOQ/4FvTLJJcOFe8yP0DHRrGHjdVMFxrUU8O6xc9/3KjpVqSheAQBBe
GumR/3Uyi7/5x1QqLeEIPHEngUpSB7IPtPw7RctPqAp3e5T/q8AmB07PC6DsuaKT
nT7KBnb6xKeg2s2YxgT+Tdw260rKQureBZfCU4mu7JJx1lOW2+fou8WX1ZuZFgzt
x+6ZdksbUaIXk7BAV79yQn5EZvxESSDV2gZDUehtizhj38k/FdRA1Sl6c+WZMAF2
2Q2OS4Fwv9SDRkHTRe13wOsXG/3ofrEqNRuQmJzQURdShDlrQNwC33weDkyRWk4x
a7KWAW9zbUl1F45byw7WZUjXtgdlA+1bIkZ1BCabfFWJ1M624jiUnwC3kciqBziP
cqhOuDoNZLOqrv8mB0j3NIQZRraisxLgul5apQrdZ58Q26QkNi7Jvp+muTsfh7Ko
H28LjjJCbrVIaRMxsf1DXmyEqDU5vl0V38VsWiIYY9DV6r17KlIf7Vhl2PTYJUTc
pGYVxMqy0t6pdLiPWk9YvGiAPvSAXTIDYBiQxI207CAqWIoBkt8ij+VDcZ5OVxIj
40JRmQQK+VusdVtE5z7iP97kBNSLtyqbj05fdAdbKrwpgpu6lY/BlIpcDRk/Zd/Y
A5tDyPASgefCyb5FzKx8
=7+6J
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 22 Dec 2013 07:28:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:59:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.